DROP PROCEDURE WFDK_HISTFoliosExternos_GetInfo
GO

CREATE PROCEDURE WFDK_HISTFoliosExternos_GetInfo
    @Modo INT,
	@Fil_id_tarj BIT,
	@vFil_id_tarj INT,
	@vFil_id_tarj2 INT,
	@Fil_nombre BIT,
	@vFil_nombre VARCHAR(255)
AS
BEGIN

	Select *
	INTO   #HISTFE
	From   WFDK_FoliosExternos
	--Where CharIndex(Lower(@P1),Lower(Convert(varchar(500),hcretarj.nombre_titular))) <> 0 

	IF @Fil_id_tarj = 1 
	BEGIN 
	
	   DECLARE @NumTarjIni INT = (SELECT num_tarj FROM HCRETARJ WHERE id_tarj = @vFil_id_tarj)
	   DECLARE @NumTarjFin INT = (SELECT num_tarj FROM HCRETARJ WHERE id_tarj = @vFil_id_tarj2)
	
	   DELETE #HISTFE WHERE num_tarj < @NumTarjIni  or num_tarj > @NumTarjFin
	END
	IF @Fil_nombre = 1 
	BEGIN 
	   DELETE #HISTFE WHERE LTRIM(RTRIM(LOWER(nombre_titular))) NOT LIKE '%' + LTRIM(RTRIM(LOWER(@vFil_nombre))) + '%' 
	END
	
	IF @Modo = 1
	BEGIN
		SELECT TOP 300 *, id_tarj boton, 0 eliminado
		FROM #HISTFE
		ORDER BY num_tarj
	END
	ELSE
	BEGIN
		SELECT *
		FROM #HISTFE
	END

	RETURN

END