DROP VIEW WFDK_FoliosExternos
GO

CREATE VIEW WFDK_FoliosExternos
AS

SELECT fe.id_tarj,
       fe.num_tarj, fe.nombre_titular, fe.limite_cred,
       de.desc_dcto,
       LTRIM(RTRIM(ct.cuenta)) + ' - ' + ct.descripcion cuenta,
       CAST(fe.eliminado AS INT) eliminado,
       fe.id_tipo,
       fe.fecha_emision, fe.fecha_vencim
FROM       HCRETARJ fe
INNER JOIN HCRETIPO tp ON fe.id_tipo   = tp.id_tipo
LEFT  JOIN HOTEDESC de ON fe.id_dcto   = de.id_dcto
LEFT  JOIN HOTEENCO ct ON fe.id_cuenta = ct.id_cuenta