DROP VIEW WFDK_RoomingPlazos
GO

CREATE VIEW WFDK_RoomingPlazos
AS

SELECT roga.id_roga,
       roga.id_room,
       fecha_plazo,  
	   porc = CONVERT(NUMERIC(18, 2), ROUND(roga.importe * 100 / CASE ISNULL(dbo.FRoom_Importe_TOTAL(room.nro_rooming), 0) /*+ ISNULL(dbo.Room_Importe_prepagado (room.nro_rooming), 0)*/
																	  WHEN 0 THEN -1
																	  ELSE dbo.FRoom_Importe_TOTAL(room.nro_rooming) /*+ ISNULL(dbo.Room_Importe_prepagado (room.nro_rooming), 0)*/
																	  END, 2)), 
	   roga.importe, 
	   pagado_mon_cont = SUM(CONVERT(NUMERIC(12, 2), COALESCE(dega.importe * CASE WHEN cont.id_mone = dega.id_mone THEN 1
																				  ELSE COALESCE(Cont.tasa_fija, mone.tasa) / dega.tasa
																			      END, 0.00))), 
	   diferencia = roga.importe - SUM(CONVERT(NUMERIC(12, 2), COALESCE(dega.importe * CASE WHEN cont.id_mone = dega.id_mone THEN 1
																							ELSE COALESCE(Cont.tasa_fija, mone.tasa) / dega.tasa
																					        END, 0.00))), 
	    
	   cont.id_mone
FROM       HOTEROOM room
INNER JOIN hoteroga roga  ON room.id_room = roga.id_room
LEFT  JOIN hoterogl rogl  ON roga.id_roga = rogl.id_roga
LEFT  JOIN hotedega dega  ON rogl.id_dega = dega.id_dega
INNER JOIN hotecont cont  ON room.id_cont = cont.id_cont
INNER JOIN siclamon mone  ON cont.id_mone = mone.id_mone
LEFT  JOIN siclamon mone2 ON dega.id_mone = mone2.id_mone
GROUP BY nro_rooming, fecha_plazo, roga.importe, roga.id_roga, roga.id_room, cont.id_mone